# RawSocketEvent class

Events for the RawSocket.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

CLOSED → const RawSocketEvent
  @Deprecated("Use closed instead")
  `closed`
closed → const RawSocketEvent
  `const RawSocketEvent._(3)`
READ → const RawSocketEvent
  @Deprecated("Use read instead")
  `read`
read → const RawSocketEvent
  `const RawSocketEvent._(0)`
READ_CLOSED → const RawSocketEvent
  @Deprecated("Use readClosed instead")
  `readClosed`
readClosed → const RawSocketEvent
  `const RawSocketEvent._(2)`
WRITE → const RawSocketEvent
  @Deprecated("Use write instead")
  `write`
write → const RawSocketEvent
  `const RawSocketEvent._(1)`